#!/usr/bin/perl

use DB_File;
use strict;

my $database = $ARGV[0];
die("Use: create.pl <database>", $/)
  if (!defined($database));

$database .= ".db"
  if (substr($database, -3) ne ".db");

print "Using database: $database", $/;

my $db = new DB_File($database, O_RDWR|O_CREAT, 0644, $DB_HASH)
  or die("Unable to open database file '".$database."': ".$!);
while (<STDIN>)
{
	chomp($_);
  my ($user, $alias) = split(' ', $_, 2);
  print $alias, " -> ", $user, $/;
  $db->put($alias, $user);
}
undef $db;

print "done", $/;
