#!/usr/bin/perl

use DB_File;
use strict;

my $database = $ARGV[0];
die("Use: dump.pl <database>", $/)
  if (!defined($database));

$database .= ".db"
  if (substr($database, -3) ne ".db");

print "Dumping database: $database", $/;

tie my %db, 'DB_File', $database, O_RDONLY, 0644, $DB_HASH
  or die("Unable to open database file '".$database."': ".$!);
foreach my $alias (keys(%db))
{
  print $alias, " -> ", $db{$alias}, $/;
}
untie %db;
undef %db;
